LLM Reaction
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's LLM reactions
GET /api/v2/strategy/reaction/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's LLM reactions
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the reaction
12The id of the bot hook where signal will be sent (required if send_signal is true)
12The id of the data hook witch will be used to get data
13The main LLM Api key id used for the strategy
14The fallback LLM Api key id used for the strategy if main is not available
15Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second
10Set true if you want to send chart image with the strategy prompt
trueThe Tradingview symbol of the chart (required if use_chart is true)
BINANCE:BTCUSDTThe interval of the chart (required if use_chart is true)
5Possible values: The data range of the chart (optional if use_chart is true)
1DPossible values: The prompt used for the strategy
Analyze the incoming data and give me a signalSet true if you want to send a signal to the bot hook
trueThe signal symbol or symbols of the strategy separated by comma
BTCUSDT,ETHUSDTSet true if you want to send the LLM response to the user email
trueLLM reaction created successfully
Missing required fields, invalid prompt, or reaction limit reached
Reaction limit reached
Data webhook, bot webhook, or LLM API not found
POST /api/v2/strategy/reaction/llm HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 409
{
"name": "My strategy",
"folder_id": 12,
"webhook_id": 12,
"data_webhook_id": 13,
"llm_api_id": 14,
"fallback_api_id": 15,
"delay": 10,
"use_chart": true,
"chart_symbol": "BINANCE:BTCUSDT",
"chart_interval": "5",
"chart_studies": [
"RSI@tv-basicstudies",
"MACD@tv-basicstudies"
],
"chart_data_range": "1D",
"prompt": "Analyze the incoming data and give me a signal",
"send_signal": true,
"signal_symbol": "BTCUSDT,ETHUSDT",
"send_email": true
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
LLM reaction details
Missing id
Reaction not found
GET /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
The name of the strategy max 255 characters
My strategyThe folder id of the reaction
12The id of the bot hook where signal will be sent (required if send_signal is true)
12The id of the data hook witch will be used to get data
13The main LLM Api key id used for the strategy
14The fallback LLM Api key id used for the strategy if main is not available
15Set how often the reaction will check for new signals. eg. 10 means 10 in 1 second
10Set true if you want to send chart image with the strategy prompt
trueThe Tradingview symbol of the chart (required if use_chart is true)
BINANCE:BTCUSDTThe interval of the chart (required if use_chart is true)
5Possible values: The data range of the chart (optional if use_chart is true)
1DPossible values: The prompt used for the strategy
Analyze the incoming data and give me a signalSet true if you want to send a signal to the bot hook
trueThe signal symbol or symbols of the strategy separated by comma
BTCUSDT,ETHUSDTSet true if you want to send the LLM response to the user email
trueLLM reaction updated successfully
SuccessMissing id, invalid prompt, or validation errors
Reaction, webhook, or LLM API not found
PUT /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 409
{
"name": "My strategy",
"folder_id": 12,
"webhook_id": 12,
"data_webhook_id": 13,
"llm_api_id": 14,
"fallback_api_id": 15,
"delay": 10,
"use_chart": true,
"chart_symbol": "BINANCE:BTCUSDT",
"chart_interval": "5",
"chart_studies": [
"RSI@tv-basicstudies",
"MACD@tv-basicstudies"
],
"chart_data_range": "1D",
"prompt": "Analyze the incoming data and give me a signal",
"send_signal": true,
"signal_symbol": "BTCUSDT,ETHUSDT",
"send_email": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
LLM reaction deleted successfully
SuccessMissing id
Reaction not found
DELETE /api/v2/strategy/reaction/llm/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Reaction ID to duplicate
LLM reaction duplicated successfully
Missing id or reaction limit reached
POST /api/v2/strategy/reaction/llm/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13
{
"id": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to reset triggers
trueSet true to reset storage
trueSet true to reset response history
trueTriggers and/or history reset successfully
SuccessMissing id, invalid options, or nothing to reset
Reaction not found
PUT /api/v2/strategy/reaction/llm/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 63
{
"resetTriggers": true,
"resetStorage": true,
"resetResponse": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
ACTIVEPossible values: Status updated successfully
SuccessMissing id, invalid status, or reaction limit reached
Active reaction limit reached
Reaction not found
PUT /api/v2/strategy/reaction/llm/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "ACTIVE"
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Set true to make the strategy public
truePublic visibility updated successfully
SuccessMissing id or invalid public flag
Strategy not found
PUT /api/v2/strategy/reaction/llm/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"isPublic": true
}{
"message": "Success"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of user's LLM reaction folders
GET /api/v2/strategy/reaction/llm/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of user's LLM reaction folders
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder name (optional, auto-generated if not provided)
Folder created successfully
Invalid name or max folder limit reached
POST /api/v2/strategy/reaction/llm/folder HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
List of LLM reactions in root folder
GET /api/v2/strategy/reaction/llm/folder/root HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
List of LLM reactions in root folder
[]Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder with its items
Missing id
Folder not found
GET /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
No content
Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
New folder name (optional, auto-generated if not provided)
Folder updated successfully
Missing id, invalid name, or folder not found
Folder not found
PUT /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"name": "text"
}{
"message": "text"
}Your public API key
HMAC SHA256 or ML-DSA44 signature of the request
Unix timestamp used for request signing
Folder ID
Folder deleted successfully
Missing id, folder not found, or folder is not empty
Folder not found
DELETE /api/v2/strategy/reaction/llm/folder/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
"message": "text"
}Last updated